﻿@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@model CyberaniumModels.OrgAssignedAssessment

<script>
    SubmitAssessment = () => {
        var array = [], strJson;
        var orgId = Number($('#OrgId').val());
        $('.assessments:checked').each((i, ele) => {
            array[i] = {
                AssignedId: Number($(ele).val())
            }
        })
        strJson = JSON.stringify(array.length > 0 ? array : null);
        $.post('/ApplicationManagement/AssignAssessment/SubmitAssignedAssessment', { orgId: orgId, AssessmentXML: strJson }, res => {
            if (res.isSuccess) {
                toastr.success('Assigned successfully.');
                $('a[href="/ApplicationManagement/AssignAssessment/Index"]').click();
            } else {
                toastr.warning('Something went wrong!');
            }
        })
    }
</script>
<div class="col-12">
    <input type="hidden" asp-for="OrgId" value="@Model.OrgId" />
    <div class="minAssHeight">
        <div class="addApplications row__icons">
            <h3>Assign Assessment for @Model.OrgName</h3>
            <div class="table_control AssessmentList">
                <table class="table">
                    <tbody>
                        @foreach (var item in Model.EnumList)
                        {
                            var org = Model.OrgAssignedAssessmentList.Where(x => x.AssignedId == item.Value).ToList();
                            <tr>
                                <th>
                                    <input type="checkbox" class="assessments" value="@item.Value" @(org.Count > 0 ? "checked" : "") />
                                </th>
                                <th class="txtTitle">@item.Title</th>
                            </tr>
                        }
                    </tbody>
                </table>
            </div>
            <div style="text-align:right" class="btnsubmit">
                <input type="button" value="Submit" onclick="SubmitAssessment()" />
            </div>
        </div>
    </div>
    <div class="addApplicationss">
        <div class="row">
            <div class="col-3 pr-0"><i class="fa fa-gear fa-2x"></i> Integrated RA</div>
            <div class="col-3 p-0"><i class="fa fa-building fa-2x"></i> Compliance Assessment</div>
            <div class="col-4 p-0"><i class="fa fa-arrows fa-2x"></i> Standards and Regulations RCM</div>
            <div class="col-2 pl-0"><i class="fa fa-cogs fa-2x"></i> Custom RCM</div>
        </div>
    </div>
</div>
